- NAME
- SYNOPSIS
- DESCRIPTION
- IMPORT TAGS
- FUNCTIONS
- SEE ALSO
- COPYRIGHT AND LICENSE

# NAME

Pegasus::DAX::Factory - convenience module

# SYNOPSIS

        use Pegasus::DAX::Factory qw(:all);

        my $a = newProfile( PROFILE_ENV, 'FOO', 'bar' );
        my $b = newFilename( name => 'fubar', link => LINK_OUT );

# DESCRIPTION

This class exports all constructors as convenience functions into the caller's namespace. In addition, when using the `:all` tag, all constants from any class are exported.

# IMPORT TAGS

`:func`

  This tag imports the convenience wrapper functions around the class constructors. The wrappers are exported by default.

`:link`

  This tag imports the linkage constants `LINK_*` from Pegasus::DAX::Filename.

`:transfer`

  This tag imports the transfer constants `TRANSFER_*` from Pegasus::DAX::Filename.

`:arch`

  This tag imports the architecture constants `ARCH_*` from Pegasus::DAX::Executable.

`:os`

  This tag imports the operating system constants `OS_*` from Pegasus::DAX::Executable.

`:ns`

  This tag imports the profile namespace constants `PROFILE_*` from Pegasus::DAX::Profile.

`:schema`

  This tag imports the XML schema constants `SCHEMA_*` from Pegasus::DAX::ADAG.

`:invoke`

  This tag imports the notification event constants `INVOKE_*` from Pegasus::DAX::Invoke.

`:all`

  All of the above.

# FUNCTIONS

newProfile

  Factory function for `Pegasus::DAX::Profile->new`.

newPFN

  Factory function for `Pegasus::DAX::PFN->new`.

newMetaData

  Factory function for `Pegasus::DAX::MetaData->new`.

newPlainFilename

  Factory function for `Pegasus::DAX::PlainFilename->new`.

newFilename

  Factory function for `Pegasus::DAX::Filename->new`.

newFile

  Factory function for `Pegasus::DAX::File->new`.

newExecutable

  Factory function for `Pegasus::DAX::Executable->new`.

newTransformation

  Factory function for `Pegasus::DAX::Transformation->new`.

newDAG

  Factory function for `Pegasus::DAX::DAG->new`.

newDAX

  Factory function for `Pegasus::DAX::DAX->new`.

newJob

  Factory function for `Pegasus::DAX::Job->new`.

newADAG

  Factory function for `Pegasus::DAX::ADAG->new`.

newInvoke

  Factory function for `Pegasus::DAX::Invoke->new`.

# SEE ALSO

Pegasus::DAX::Base

  Base class.

Pegasus::DAX::ADAG
Pegasus::DAX::Base
Pegasus::DAX::DAG
Pegasus::DAX::DAX
Pegasus::DAX::Executable
Pegasus::DAX::Factory
Pegasus::DAX::File
Pegasus::DAX::Filename
Pegasus::DAX::Invoke
Pegasus::DAX::Job
Pegasus::DAX::MetaData
Pegasus::DAX::PFN
Pegasus::DAX::PlainFilename
Pegasus::DAX::Profile
Pegasus::DAX::Transformation

  Classes for which a convenience c'tor is provided.

# COPYRIGHT AND LICENSE

Copyright 2007-2011 University Of Southern California

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.